<? $this->layout()->disableLayout() ?>

<style type="text/css">
	.blog-photo, .blog-cover {
		margin: 10px 0 0 0;
	}
	
	.blog-photo div, .blog-cover div {
		padding: 2px;
		border: 1px solid #ccc;
		float: left;
		margin-left: 3px;
		position: relative;
	}
	
	.blog-photo a, .blog-cover a {
		display: block;
		width: 16px;
		height: 16px;
		position: absolute;
		bottom: 6px;
		left: 6px;
		background: url('/img/delete.png') no-repeat top left;
	}
</style>

<form class="form-common" action="<?= $this->baseUrl() ?>/blog/create" method="post">	
	<fieldset style="margin-bottom: 10px;">
		<legend>Photo</legend>
		
		<div id="filecontrol" class="half" name="ph"></div>
		
		<div class="blog-photo">
			
		</div>
		<div class="clear"></div>
	</fieldset>
	<div class="clear"></div>

	<fieldset style="margin-bottom: 10px;">
		<legend>Cover</legend>

		<div id="filecontrolcover" class="half" name="phc"></div>

		<div class="blog-cover">

		</div>
		<div class="clear"></div>
	</fieldset>
	<div class="clear"></div>
	
	<fieldset class="fleft" style="margin-bottom: 10px;">
		<div class="clear"></div>
		<div class="inner">
			<label for="layout">Category</label>
			<select id="layout" name="category_id">
				<? foreach ($this->cats as $cat): ?>
					<option value="<?=$cat->id?>"><?=$cat->title?></option>
				<? endforeach; ?>
			</select>
		</div>
		<div class="clear"></div>
	</fieldset>
	<div class="clear"></div>

	<div id="blog-tabs">
		<? $langs = Cubix_I18n::getLangs(true) ?>
		<ul class="mootabs_title">
			<? foreach ( $langs as $id ): ?>
				<li title="<?= $id ?>"><img src="/img/flags/<?= $id ?>.png" width="16" height="11" alt="" /></li>
			<? endforeach; ?>
		</ul>
		<? foreach ( $langs as $id ): ?>
			<div id="<?= $id ?>" class="mootabs_panel">
				<fieldset class="mt5 mr5 w625">
					<legend for="title">Title</legend>

					<div class="inner">
						<input type="text" id="title_<?= $id ?>" name="title_<?= $id ?>" value="" class="txt w587" />
					</div>
					<div class="clear"></div>
				</fieldset>

				<fieldset class="mt5 mr5 w625">
					<legend for="short_post">Short Post</legend>

					<div class="inner">
						<textarea class="txt w587 h10 post" name="short_post_<?= $id ?>" id="short_post_<?= $id ?>"></textarea>
					</div>
					<div class="clear"></div>
				</fieldset>

				<fieldset class="mt5 mr5 w625">
					<legend for="post">Post</legend>

					<div class="inner">
						<textarea name="post_<?= $id ?>" id="post_tiny_<?= $id ?>" ></textarea>
					</div>
					<div class="clear"></div>
				</fieldset>

				<div class="clear"></div>
			</div>
		<? endforeach; ?>
	</div>
</form>
